//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace eCommerce.Services.Model
{
    using System;
    using System.Collections.Generic;
    
    public partial class Newsletter
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public Newsletter()
        {
            this.NewsletterProducts = new HashSet<NewsletterProduct>();
            this.NewsletterProducts1 = new HashSet<NewsletterProduct>();
        }
    
        public int NewsletterId { get; set; }
        public string Title { get; set; }
        public string Campaign { get; set; }
        public bool Sent { get; set; }
        public Nullable<System.DateTime> SentDate { get; set; }
        public bool Active { get; set; }
        public System.DateTime Created { get; set; }
        public string CreatedBy { get; set; }
        public Nullable<System.DateTime> Deleted { get; set; }
        public string DeletedBy { get; set; }
        public Nullable<System.DateTime> Modified { get; set; }
        public string ModifiedBy { get; set; }
        public Nullable<System.DateTime> ExpirationDate { get; set; }
        public string Notes { get; set; }
        public bool ShowStock { get; set; }
        public int OrderById { get; set; }
        public bool HasSpecialPrice { get; set; }
        public bool UseMaxDiscount { get; set; }
    
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<NewsletterProduct> NewsletterProducts { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<NewsletterProduct> NewsletterProducts1 { get; set; }
    }
}
